# Poco::Data

# class NotSupportedException

Library: Data
Package: DataCore
Header: Poco/Data/DataException.h

## Inheritance

Direct Base Classes: DataException

All Base Classes: DataException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### NotSupportedException

NotSupportedException(
int code = 0
);

### NotSupportedException

NotSupportedException(
const NotSupportedException & exc
);

### NotSupportedException

NotSupportedException(
const std::string & msg,
int code = 0
);

### NotSupportedException

NotSupportedException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### NotSupportedException

NotSupportedException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~NotSupportedException

~NotSupportedException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Data::DataException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Data::DataException::name()

### operator =

NotSupportedException & operator = (
const NotSupportedException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Data::DataException::rethrow()